## org.h2.command
Class CommandRemote

    java.lang.Object
      org.h2.command.CommandRemote

All Implemented Interfaces:
  CommandInterface

    public class CommandRemote

extends java.lang.Object
implements CommandInterface

Represents the client-side part of a SQL statement. This class is not used in embedded mode.

Constructor Summary
`CommandRemote(SessionRemote session, java.util.ArrayList<Transfer> transferList, java.lang.String sql, int fetchSize)`

Method Summary
`void` `cancel()` Cancel this current statement.
`void` `close()` Close the statement.
`ResultInterface` `executeQuery(int maxRows, boolean scrollable)` Execute the query.
`int` `executeUpdate()` Execute the statement
`ResultInterface` `getMetaData()` Get an empty result set containing the meta data of the result.
`java.util.ArrayList<ParameterInterface>` `getParameters()` Get the parameters (if any).
`boolean` `isQuery()` Check if this is a query.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandRemote

    public CommandRemote(SessionRemote session,
                         java.util.ArrayList<Transfer> transferList,
                         java.lang.String sql,
                         int fetchSize)

Method Detail

### isQuery

    public boolean isQuery()

  Description copied from interface: `CommandInterface`
  Check if this is a query.

  Specified by:
    `isQuery` in interface `CommandInterface`
  Returns:
    true if it is a query

### getParameters

    public java.util.ArrayList<ParameterInterface> getParameters()

  Description copied from interface: `CommandInterface`
  Get the parameters (if any).

  Specified by:
    `getParameters` in interface `CommandInterface`
  Returns:
    the parameters

### getMetaData

    public ResultInterface getMetaData()

  Description copied from interface: `CommandInterface`
  Get an empty result set containing the meta data of the result.

  Specified by:
    `getMetaData` in interface `CommandInterface`
  Returns:
    the empty result

### executeQuery

    public ResultInterface executeQuery(int maxRows,
                                        boolean scrollable)

  Description copied from interface: `CommandInterface`
  Execute the query.

  Specified by:
    `executeQuery` in interface `CommandInterface`
  Parameters:
    `maxRows` - the maximum number of rows returned
    `scrollable` - if the result set must be scrollable
  Returns:
    the result

### executeUpdate

    public int executeUpdate()

  Description copied from interface: `CommandInterface`
  Execute the statement

  Specified by:
    `executeUpdate` in interface `CommandInterface`
  Returns:
    the update count

### close

    public void close()

  Description copied from interface: `CommandInterface`
  Close the statement.

  Specified by:
    `close` in interface `CommandInterface`

### cancel

    public void cancel()

  Cancel this current statement.

  Specified by:
    `cancel` in interface `CommandInterface`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`